Bug 135657 - [PATCH] uninitialised variables in registration gui
[PATCH] uninitialised variables in registration gui
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
: EasyFix
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2004-10-14 02:17 EDT by Alan Milligan
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-07 13:17:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (534 bytes, patch)
2004-10-14 02:19 EDT, Alan Milligan
no flags Details | Diff

  None (edit)
Description Alan Milligan 2004-10-14 02:17:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 497, in
onNewAccountPageNext
    ret = self.newAccountPageApply()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 709, in
newAccountPageApply
    password)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 243, in reserveUser
    ret = rpcServer.doCall(s.registration.reserve_user, username,
password)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 310, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.3/xmlrpclib.py", line 1031, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 51, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.3/site-packages/rhn/rpclib.py", line 308, in
_request
    verbose=self._verbose
  File "/usr/lib/python2.3/site-packages/rhn/transports.py", line 155,
in request
    for header, value in self._headers.items() + extra_headers:
TypeError: can only concatenate list (not "NoneType") to list
Error reading networking information: exceptions.UnboundLocalError
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 666, in
onActivatePagePrepare
    activateVbox = self.activatePagePrepare()
  File "/usr/share/rhn/up2date_client/rhnregGui.py", line 336, in
activatePagePrepare
    if hostname:
UnboundLocalError: local variable 'hostname' referenced before assignment


Version-Release number of selected component (if applicable):
up2date-4.3.40-1

How reproducible:
Always

Steps to Reproduce:
1. up2date --register
2. do new account setup
3. crashes upon submittion
    

Additional info:
Comment 1 Alan Milligan 2004-10-14 02:19:57 EDT
Created attachment 105183 [details]
patch

It's a trivial fix ...
Comment 2 Alan Milligan 2004-12-11 13:15:41 EST
Hi, we'd really like to see this patch in FC4 please!
Comment 3 Warren Togami 2005-03-29 03:46:03 EST
ping alikins
Comment 4 Adrian Likins 2005-04-07 13:17:17 EDT
this was fixed in 4.4.9

Note You need to log in before you can comment on or make changes to this bug.